Bug 491517 - pkisilent Configure RA and TPS fail
pkisilent Configure RA and TPS fail
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: TPS (Show other bugs)
unspecified
All Linux
high Severity urgent
: ---
: ---
Assigned To: Ade Lee
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-03-22 10:38 EDT by Chandrasekar Kannan
Modified: 2015-01-05 20:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:33:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix (4.61 KB, patch)
2009-04-03 15:13 EDT, Ade Lee
no flags Details | Diff
POST requests captured from the browser during a manual install (7.78 KB, text/plain)
2009-05-19 17:41 EDT, Chandrasekar Kannan
no flags Details
POST requests captured from the browser during a manual install (RA) (5.49 KB, text/plain)
2009-05-19 20:48 EDT, Matthew Harmsen
no flags Details
Fixes for RA and TPS pkisilent (37.38 KB, patch)
2009-05-25 15:09 EDT, Matthew Harmsen
no flags Details | Diff
Fixes for RA and TPS pkisilent (dogtag) (24.41 KB, patch)
2009-05-25 15:10 EDT, Matthew Harmsen
no flags Details | Diff
tps debug log (260.79 KB, application/octet-stream)
2009-07-06 15:58 EDT, Kashyap Chamarthy
no flags Details
pkisilent tps.log (166.81 KB, application/octet-stream)
2009-07-06 15:59 EDT, Kashyap Chamarthy
no flags Details

  None (edit)
Description Chandrasekar Kannan 2009-03-22 10:38:18 EDT
pkisilent for ConfigureCA,ConfigureDRM,ConfigureOCSP,ConfigureTKS
all work fine. But I see this problem with TPS.

+ pkisilent ConfigureTPS -cs_hostname sterope.idm.lab.bos.redhat.com -cs_port 7888 -sd_hostname sterope.idm.lab.bos.redhat.com -sd_ssl_port 9444 -sd_admin_name admin -sd_admin_password Secret123 -ca_hostname sterope.idm.lab.bos.redhat.com -ca_port 9180 -ca_ssl_port 9444 -drm_hostname sterope.idm.lab.bos.redhat.com -drm_ssl_port 10444 -ss_keygen true -tks_hostname sterope.idm.lab.bos.redhat.com -tks_ssl_port 13444 -client_certdb_dir /tmp/ -client_certdb_pwd netscape -preop_pin 3UnJKaa9c0Dyt0poKbV4 -domain_name pkitest -admin_user admin -admin_password Secret123 -admin_email 'pkitest\@redhat.com' -agent_name pki-agent-tps-01 -ldap_host localhost -ldap_port 389 -bind_dn '"cn=directory' 'manager"' -bind_password Secret123 -base_dn o=tps01 -db_name tps01 -key_size 2048 -key_type rsa -token_name internal -token_pwd netscape -agent_key_size 2048 -agent_key_type rsa -agent_cert_subject CN=pki-agent-tps-01,O=redhat -subsystem_name pki-test-tps -ldap_auth_host localhost -ldap_auth_port 389 -ldap_auth_base_dn dc=redhat,dc=com -tps_subsystem_cert_subject_name CN=tps-subsystem-sterope.idm.lab.bos.redhat.com,O=redhat -tps_server_cert_subject_name CN=sterope.idm.lab.bos.redhat.com,O=redhat
+ tee /tmp/tps.log
libpath=/usr/lib
[Fatal Error] :-1:-1: Premature end of file.
org.xml.sax.SAXParseException: Premature end of file.
        at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
        at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
        at ParseXML.parse(ParseXML.java:43)
        at ConfigureTPS.LoginPanel(ConfigureTPS.java:197)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:719)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
[Fatal Error] :-1:-1: Premature end of file.
org.xml.sax.SAXParseException: Premature end of file.
        at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
        at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
        at ParseXML.parse(ParseXML.java:43)
        at ConfigureTPS.DomainPanel(ConfigureTPS.java:225)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:729)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
[Fatal Error] :-1:-1: Premature end of file.
org.xml.sax.SAXParseException: Premature end of file.
        at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
        at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
        at ParseXML.parse(ParseXML.java:43)
        at ConfigureTPS.SubsystemPanel(ConfigureTPS.java:311)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:756)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
[Fatal Error] :-1:-1: Premature end of file.
org.xml.sax.SAXParseException: Premature end of file.
        at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
        at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
        at ParseXML.parse(ParseXML.java:43)
        at ConfigureTPS.SubsystemPanel(ConfigureTPS.java:325)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:756)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
[Fatal Error] :-1:-1: Premature end of file.
org.xml.sax.SAXParseException: Premature end of file.
        at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
        at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
        at ParseXML.parse(ParseXML.java:43)
        at ConfigureTPS.SubsystemPanel(ConfigureTPS.java:339)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:756)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
[Fatal Error] :-1:-1: Premature end of file.
org.xml.sax.SAXParseException: Premature end of file.
        at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
        at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
        at ParseXML.parse(ParseXML.java:43)
        at ConfigureTPS.SubsystemPanel(ConfigureTPS.java:360)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:756)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
[Fatal Error] :-1:-1: Premature end of file.
org.xml.sax.SAXParseException: Premature end of file.
        at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
        at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
        at ParseXML.parse(ParseXML.java:43)
        at ConfigureTPS.LdapAuthConnectionPanel(ConfigureTPS.java:385)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:765)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
[Fatal Error] :-1:-1: Premature end of file.
org.xml.sax.SAXParseException: Premature end of file.
        at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
        at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
        at ParseXML.parse(ParseXML.java:43)
        at ConfigureTPS.LdapConnectionPanel(ConfigureTPS.java:413)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:774)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
[Fatal Error] :-1:-1: Premature end of file.
org.xml.sax.SAXParseException: Premature end of file.
        at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
        at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
        at ParseXML.parse(ParseXML.java:43)
        at ConfigureTPS.TokenChoicePanel(ConfigureTPS.java:439)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:783)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
[Fatal Error] :-1:-1: Premature end of file.
org.xml.sax.SAXParseException: Premature end of file.
        at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
        at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
        at ParseXML.parse(ParseXML.java:43)
        at ConfigureTPS.KeyPanel(ConfigureTPS.java:501)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:792)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
[Fatal Error] :-1:-1: Premature end of file.
org.xml.sax.SAXParseException: Premature end of file.
        at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
        at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
        at ParseXML.parse(ParseXML.java:43)
        at ConfigureTPS.CertSubjectPanel(ConfigureTPS.java:533)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:801)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
[Fatal Error] :-1:-1: Premature end of file.
org.xml.sax.SAXParseException: Premature end of file.
        at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
        at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
        at ParseXML.parse(ParseXML.java:43)
        at ConfigureTPS.CertificatePanel(ConfigureTPS.java:564)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:810)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
[Fatal Error] :-1:-1: Premature end of file.
org.xml.sax.SAXParseException: Premature end of file.
        at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
        at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
        at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
        at ParseXML.parse(ParseXML.java:43)
        at ConfigureTPS.AdminCertReqPanel(ConfigureTPS.java:622)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:819)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
java.security.cert.CertificateEncodingException: Security library failed to decode certificate package: (-8183) security library: improperly formatted DER-encoded message.
        at org.mozilla.jss.CryptoManager.importCertPackageNative(Native Method)
        at org.mozilla.jss.CryptoManager.importCertPackage(CryptoManager.java:973)
        at ComCrypto.importCert(ComCrypto.java:256)
        at ConfigureTPS.AdminCertImportPanel(ConfigureTPS.java:669)
        at ConfigureTPS.ConfigureTPSInstance(ConfigureTPS.java:828)
        at ConfigureTPS.main(ConfigureTPS.java:1086)
#######################################################################
CRYPTO INIT WITH CERTDB:/tmp/
tokenpwd:netscape
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/login?pin=3UnJKaa9c0Dyt0poKbV4&xml=true
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:34:24 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Set-Cookie: pin=3UnJKaa9c0Dyt0poKbV4; path=/; expires=Mon, 22-Mar-2010 14:34:25 GMT
RESPONSE HEADER:  Location: wizard
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
xml returned: 
cookie list: pin=3UnJKaa9c0Dyt0poKbV4; path=/; expires=Mon, 22-Mar-2010 14:34:25 GMT
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=0&op=next&xml=true
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:34:25 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
ERROR: unable to parse xml
ERROR XML = 
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?sdomainURL=https%3A%2F%2Fsterope.idm.lab.bos.redhat.com%3A9444&choice=existingdomain&p=1&op=next&xml=true
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:34:30 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
ERROR: unable to parse xml
ERROR XML = 
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=2&op=next&xml=true
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:34:35 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:9444
in TestCertApprovalCallback.approve()
Peer cert details: 
     subject: CN=sterope.idm.lab.bos.redhat.com,O=redhat
     issuer:  CN=pki-test-ca,O=redhat
     serial:  3
item 1 reason=-8172 depth=1
 cert details: 
     subject: CN=pki-test-ca,O=redhat
     issuer:  CN=pki-test-ca,O=redhat
     serial:  1
importing certificate.
Connected.
Posting Query = https://sterope.idm.lab.bos.redhat.com:9444//ca/ee/ca/securityDomainLogin?url=https%3A%2F%2Fsterope.idm.lab.bos.redhat.com%3A7888%2Ftps%2Fadmin%2Fconsole%2Fconfig%2Fwizard%3Fp%3D3%26subsystem%3DTPS
RESPONSE STATUS:  HTTP/1.1 200 OK
RESPONSE HEADER:  Server: Apache-Coyote/1.1
RESPONSE HEADER:  Content-Type: text/html;charset=UTF-8
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:34:40 GMT
RESPONSE HEADER:  Connection: close
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:9444
Connected.
Posting Query = https://sterope.idm.lab.bos.redhat.com:9444//ca/ee/ca/getCookie?uid=admin&pwd=Secret123&url=https%3A%2F%2Fsterope.idm.lab.bos.redhat.com%3A7888%2Ftps%2Fadmin%2Fconsole%2Fconfig%2Fwizard%3Fp%3D3%26subsystem%3DTPS
RESPONSE STATUS:  HTTP/1.1 200 OK
RESPONSE HEADER:  Server: Apache-Coyote/1.1
RESPONSE HEADER:  Content-Type: text/html
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:34:40 GMT
RESPONSE HEADER:  Connection: close
Sleeping for 5 secs..
TPS_SESSION_ID=-1591005013119241154
TPS_URL=https://sterope.idm.lab.bos.redhat.com:7888/tps/admin/console/config/wizard?p=3&subsystem=TPS
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=3&session_id=-1591005013119241154&subsystem=TPS&xml=true
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:34:45 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
Sleeping for 5 secs..
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=3&op=next&xml=true&subsystemName=pki-test-tps&choice=newsubsystem
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:34:55 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
ERROR: unable to parse xml
ERROR XML = 
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=4&op=next&xml=true&urls=https%3A%2F%2Fsterope.idm.lab.bos.redhat.com%3A9444
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:35:00 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
ERROR: unable to parse xml
ERROR XML = 
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=5&op=next&xml=true&urls=https%3A%2F%2Fsterope.idm.lab.bos.redhat.com%3A13444
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:35:05 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
ERROR: unable to parse xml
ERROR XML = 
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=6&op=next&xml=true&urls=https%3A%2F%2Fsterope.idm.lab.bos.redhat.com%3A10444&choice=keygen
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:35:10 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
ERROR: unable to parse xml
ERROR XML = 
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=7&op=next&xml=true&host=localhost&port=389&basedn=dc%3Dredhat%2Cdc%3Dcom
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:35:16 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
ERROR: unable to parse xml
ERROR XML = 
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=8&op=next&xml=true&host=localhost&port=389&binddn=cn%3Ddirectory+manager&__bindpwd=Secret123&basedn=o%3Dtps01&database=tps01&display=
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:35:21 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
ERROR: unable to parse xml
ERROR XML = 
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=9&op=next&xml=true&choice=NSS+Certificate+DB
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:35:26 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
ERROR: unable to parse xml
ERROR XML = 
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=11&op=next&xml=true&subsystem_custom_size=2048&sslserver_custom_size=2048&custom_size=2048&subsystem_keytype=rsa&sslserver_keytype=rsa&keytype=rsa&subsystem_choice=custom&sslserver_choice=custom&choice=custom
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:35:31 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
ERROR: unable to parse xml
ERROR XML = 
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=12&op=next&xml=true&subsystem=CN%3Dtps-subsystem-sterope.idm.lab.bos.redhat.com%2CO%3Dredhat&sslserver=CN%3Dsterope.idm.lab.bos.redhat.com%2CO%3Dredhat&urls=https%3A%2F%2Fsterope.idm.lab.bos.redhat.com%3A9444
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:35:36 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
ERROR: unable to parse xml
ERROR XML = 
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=13&op=next&xml=true&subsystem=&subsystem_cc=&sslserver=&sslserver_cc=
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:35:41 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
ERROR: unable to parse xml
ERROR XML = 
Sleeping for 5 secs..
CRYPTO INIT WITH CERTDB:/tmp/
Crypto manager already initialized
Debug : initialize crypto Manager
INITIALIZATION ERROR: org.mozilla.jss.crypto.AlreadyInitializedException
cdir = /tmp/
Debug : before getInstance
Debug : before get token
Debug : before login password
Debug : after login password
Exception: 
Exception: 
Exception: 
CRMF_REQUEST = MIIBcjCCAW4wggFiAgEBMIIBWYABAqUuMCwxGTAXBgNVBAMTEHBraS1hZ2VudC10cHMtMDExDzAN
BgNVBAoTBnJlZGhhdKaCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBALF6CbhHUWe6m6tM
q/wYh7hPilPL0rY30ipul/YWD+1DZirr0U+Jzppx+lRzQa4Brx1AKQ1vc6ttrtexSdugJ5JJH5bJ
89EYHH4Zj34feD7lnOluJsIPGWlHCPOMcHoo5hnd1xkk70U7ijD4u5X1P07xioYz4BUpjTWztlSP
gDtubjFl9+5YLJUtTxSZAXLuIW0zRib0BYLm1BCCWxYRlGE4bLfKLoLEGyh4EUSvdYYGxlXMOWya
hCQ/YYLGM/9aF74Nq7GrV1p2AERONMNrw3xFkG/xgIDvLeZdAjc2MUEDvizjTCJi6pWROReZrUWa
AspijJ83O2hrBG+vSy5WBdMCAwEAATAAogaABAMAAwA=

#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:7888
Posting Query = http://sterope.idm.lab.bos.redhat.com:7888//tps/admin/console/config/wizard?p=14&op=next&xml=true&cert_request_type=crmf&uid=admin&name=admin&__pwd=Secret123&__admin_password_again=Secret123&profileId=caAdminCert&email=pkitest%40redhat.com&cert_request=MIIBcjCCAW4wggFiAgEBMIIBWYABAqUuMCwxGTAXBgNVBAMTEHBraS1hZ2VudC10cHMtMDExDzAN%0ABgNVBAoTBnJlZGhhdKaCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBALF6CbhHUWe6m6tM%0Aq%2FwYh7hPilPL0rY30ipul%2FYWD%2B1DZirr0U%2BJzppx%2BlRzQa4Brx1AKQ1vc6ttrtexSdugJ5JJH5bJ%0A89EYHH4Zj34feD7lnOluJsIPGWlHCPOMcHoo5hnd1xkk70U7ijD4u5X1P07xioYz4BUpjTWztlSP%0AgDtubjFl9%2B5YLJUtTxSZAXLuIW0zRib0BYLm1BCCWxYRlGE4bLfKLoLEGyh4EUSvdYYGxlXMOWya%0AhCQ%2FYYLGM%2F9aF74Nq7GrV1p2AERONMNrw3xFkG%2FxgIDvLeZdAjc2MUEDvizjTCJi6pWROReZrUWa%0AAspijJ83O2hrBG%2BvSy5WBdMCAwEAATAAogaABAMAAwA%3D%0A&subject=CN=pki-agent-tps-01,O=redhat&clone=0&import=true&securitydomain=pkitest
Connected.
RESPONSE STATUS:  HTTP/1.1 302 Moved
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:35:48 GMT
RESPONSE HEADER:  Server: Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8
RESPONSE HEADER:  Location: login
RESPONSE HEADER:  Content-Length: 0
RESPONSE HEADER:  Keep-Alive: timeout=15, max=100
RESPONSE HEADER:  Connection: Keep-Alive
RESPONSE HEADER:  Content-Type: text/html
ERROR: unable to parse xml
ERROR XML = 
ERROR: Tag=serialNumberhas no values
Sleeping for 5 secs..
#############################################
Attempting to connect to: sterope.idm.lab.bos.redhat.com:9444
Connected.
Posting Query = https://sterope.idm.lab.bos.redhat.com:9444//ca/ee/ca/getBySerial?serialNumber=null&importCert=true
RESPONSE STATUS:  HTTP/1.1 200 OK
RESPONSE HEADER:  Server: Apache-Coyote/1.1
RESPONSE HEADER:  Content-Type: text/html
RESPONSE HEADER:  Content-Length: 2996
RESPONSE HEADER:  Date: Sun, 22 Mar 2009 14:35:53 GMT
RESPONSE HEADER:  Connection: keep-alive
Imported Cert=PCEtLSAtLS0gQkVHSU4gQ09QWVJJR0hUIEJMT0NLIC0tLQogICAgIFRoaXMgcHJvZ3JhbSBpcyBm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CRYPTO INIT WITH CERTDB:/tmp/
Crypto manager already initialized
importCert string: importing with nickname: pki-agent-tps-01
Already logged into to DB
ERROR:exception importing cert Security library failed to decode certificate package: (-8183) security library: improperly formatted DER-encoded message.
ERROR: AdminCertImportPanel() during cert import
ERROR: ConfigureTPS: AdminCertImportPanel() failure
ERROR: unable to create TPS

#######################################################################
+ service pki-tps restart
Stopping pki-tps:                                          [  OK  ]
Starting pki-tps:                                          [  OK  ]

PKI service(s) are available at https://sterope.idm.lab.bos.redhat.com:7889
Comment 1 Chandrasekar Kannan 2009-03-22 10:40:26 EDT
TPS logs directory for the above here.

::::::::::::::
access_log
::::::::::::::
10.16.96.67 - - [22/Mar/2009:10:34:24 -0400] "POST /tps/admin/console/config/login HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:34:25 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:34:30 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:34:35 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:34:45 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:34:55 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:35:00 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:35:05 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:35:10 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:35:16 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:35:21 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:35:26 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:35:31 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:35:36 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:35:41 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
10.16.96.67 - - [22/Mar/2009:10:35:48 -0400] "POST /tps/admin/console/config/wizard HTTP/1.0" 302 -
::::::::::::::
debug
::::::::::::::
Sun Mar 22 10:22:48 EDT 2009 - TPS wizard: starting up
Sun Mar 22 10:22:49 EDT 2009 - TPS wizard: start up complete
Sun Mar 22 10:22:50 EDT 2009 - TPS wizard: starting up
Sun Mar 22 10:22:50 EDT 2009 - TPS wizard: start up complete
Sun Mar 22 10:35:58 EDT 2009 - TPS wizard: starting up
Sun Mar 22 10:35:59 EDT 2009 - TPS wizard: start up complete
Sun Mar 22 10:36:01 EDT 2009 - TPS wizard: starting up
::::::::::::::
error_log
::::::::::::::
[Sun Mar 22 10:22:49 2009] [notice] SELinux policy enabled; httpd running as context root:system_r:pki_tps_t:s0
[Sun Mar 22 10:22:49 2009] [info] Init: Initializing NSS library
[Sun Mar 22 10:22:49 2009] [info] Initializing SSL Session Cache of size 10000. SSL2 timeout = 100, SSL3/TLS timeout = 8640
0.
[Sun Mar 22 10:22:49 2009] [info] Init: Initializing (virtual) servers for SSL
[Sun Mar 22 10:22:49 2009] [info] Configuring server for SSL protocol
[Sun Mar 22 10:22:49 2009] [debug] nss_engine_init.c(514): Enabling SSL3
[Sun Mar 22 10:22:49 2009] [debug] nss_engine_init.c(519): Enabling TLS
[Sun Mar 22 10:22:49 2009] [debug] nss_engine_init.c(690): Configuring permitted SSL ciphers [-des,-desede3,-rc2,-rc2export
,-rc4,-rc4export,+rsa_3des_sha,-rsa_des_56_sha,+rsa_des_sha,-rsa_null_md5,-rsa_null_sha,-rsa_rc2_40_md5,+rsa_rc4_128_md5,-r
sa_rc4_128_sha,-rsa_rc4_40_md5,-rsa_rc4_56_sha,-fortezza,-fortezza_rc4_128_sha,-fortezza_null,-fips_des_sha,+fips_3des_sha,
-rsa_aes_128_sha,-rsa_aes_256_sha,+ecdhe_ecdsa_aes_256_sha]
[Sun Mar 22 10:22:49 2009] [info] Using nickname Server-Cert cert-pki-tps.
[Sun Mar 22 10:22:49 2009] [info] Configuring server for SSL protocol
[Sun Mar 22 10:22:49 2009] [debug] nss_engine_init.c(514): Enabling SSL3
[Sun Mar 22 10:22:49 2009] [debug] nss_engine_init.c(519): Enabling TLS
[Sun Mar 22 10:22:49 2009] [debug] nss_engine_init.c(690): Configuring permitted SSL ciphers [-des,-desede3,-rc2,-rc2export
,-rc4,-rc4export,+rsa_3des_sha,-rsa_des_56_sha,+rsa_des_sha,-rsa_null_md5,-rsa_null_sha,-rsa_rc2_40_md5,+rsa_rc4_128_md5,-r
sa_rc4_128_sha,-rsa_rc4_40_md5,-rsa_rc4_56_sha,-fortezza,-fortezza_rc4_128_sha,-fortezza_null,-fips_des_sha,+fips_3des_sha,
-rsa_aes_128_sha,-rsa_aes_256_sha,+ecdhe_ecdsa_aes_256_sha]
[Sun Mar 22 10:22:49 2009] [info] Using nickname Server-Cert cert-pki-tps.
[Sun Mar 22 10:22:49 2009] [info] Server: Apache/2.2.3, Interface: mod_nss/2.2.3, Library: NSS/3.12.2.0 Basic ECC
[Sun Mar 22 10:22:49 2009] [debug] ../src/modules/tps/mod_tps.cpp(274): Entering mod_tps_initialize - init count is [1]
[Sun Mar 22 10:22:49 2009] [info] The TPS plugin was successfully loaded!
[Sun Mar 22 10:22:50 2009] [info] Init: Re-initializing NSS library
[Sun Mar 22 10:22:50 2009] [info] Initializing SSL Session Cache of size 10000. SSL2 timeout = 100, SSL3/TLS timeout = 8640
0.
[Sun Mar 22 10:22:50 2009] [info] Init: Initializing (virtual) servers for SSL
[Sun Mar 22 10:22:50 2009] [info] Configuring server for SSL protocol
[Sun Mar 22 10:22:50 2009] [debug] nss_engine_init.c(514): Enabling SSL3
[Sun Mar 22 10:22:50 2009] [debug] nss_engine_init.c(519): Enabling TLS
[Sun Mar 22 10:22:50 2009] [debug] nss_engine_init.c(690): Configuring permitted SSL ciphers [-des,-desede3,-rc2,-rc2export
,-rc4,-rc4export,+rsa_3des_sha,-rsa_des_56_sha,+rsa_des_sha,-rsa_null_md5,-rsa_null_sha,-rsa_rc2_40_md5,+rsa_rc4_128_md5,-r
sa_rc4_128_sha,-rsa_rc4_40_md5,-rsa_rc4_56_sha,-fortezza,-fortezza_rc4_128_sha,-fortezza_null,-fips_des_sha,+fips_3des_sha,
-rsa_aes_128_sha,-rsa_aes_256_sha,+ecdhe_ecdsa_aes_256_sha]
[Sun Mar 22 10:22:50 2009] [info] Using nickname Server-Cert cert-pki-tps.
[Sun Mar 22 10:22:50 2009] [info] Configuring server for SSL protocol
[Sun Mar 22 10:22:50 2009] [debug] nss_engine_init.c(514): Enabling SSL3
[Sun Mar 22 10:22:50 2009] [debug] nss_engine_init.c(519): Enabling TLS
[Sun Mar 22 10:22:50 2009] [debug] nss_engine_init.c(690): Configuring permitted SSL ciphers [-des,-desede3,-rc2,-rc2export
,-rc4,-rc4export,+rsa_3des_sha,-rsa_des_56_sha,+rsa_des_sha,-rsa_null_md5,-rsa_null_sha,-rsa_rc2_40_md5,+rsa_rc4_128_md5,-r
sa_rc4_128_sha,-rsa_rc4_40_md5,-rsa_rc4_56_sha,-fortezza,-fortezza_rc4_128_sha,-fortezza_null,-fips_des_sha,+fips_3des_sha,
-rsa_aes_128_sha,-rsa_aes_256_sha,+ecdhe_ecdsa_aes_256_sha]
[Sun Mar 22 10:22:50 2009] [info] Using nickname Server-Cert cert-pki-tps.
[Sun Mar 22 10:22:51 2009] [info] Server: Apache/2.2.3, Interface: mod_nss/2.2.3, Library: NSS/3.12.2.0 Basic ECC
[Sun Mar 22 10:22:51 2009] [debug] ../src/modules/tps/mod_tps.cpp(274): Entering mod_tps_initialize - init count is [2]
[Sun Mar 22 10:22:51 2009] [info] The TPS plugin was successfully loaded!
[Sun Mar 22 10:22:51 2009] [debug] ../src/modules/tps/mod_tps.cpp(350): mod_tps_initialize - pid is [25667] - post config a
lready done once - additional config will be done in init_child
[Sun Mar 22 10:22:51 2009] [notice] Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8 
configured -- resuming normal operations
[Sun Mar 22 10:22:51 2009] [info] Server built: Nov 12 2008 07:10:47
[Sun Mar 22 10:22:51 2009] [debug] worker.c(1740): AcceptMutex: sysvsem (default: sysvsem)
[Sun Mar 22 10:34:24 2009] Login.pm: Could not open '/var/lib/pki-tps/logs/debug':  Permission denied at /var/lib/pki-tps/l
ib/perl/PKI/TPS/Login.pm line 111.
[Sun Mar 22 10:35:55 2009] [info] removed PID file /var/lib/pki-tps/logs/pki-tps.pid (pid=25667)
[Sun Mar 22 10:35:55 2009] [notice] caught SIGTERM, shutting down
[Sun Mar 22 10:35:59 2009] [notice] SELinux policy enabled; httpd running as context root:system_r:pki_tps_t:s0
[Sun Mar 22 10:35:59 2009] [info] Init: Initializing NSS library
[Sun Mar 22 10:35:59 2009] [info] Initializing SSL Session Cache of size 10000. SSL2 timeout = 100, SSL3/TLS timeout = 8640
0.
[Sun Mar 22 10:36:00 2009] [info] Init: Initializing (virtual) servers for SSL
[Sun Mar 22 10:36:00 2009] [info] Configuring server for SSL protocol
[Sun Mar 22 10:36:00 2009] [debug] nss_engine_init.c(514): Enabling SSL3
[Sun Mar 22 10:36:00 2009] [debug] nss_engine_init.c(519): Enabling TLS
[Sun Mar 22 10:36:00 2009] [debug] nss_engine_init.c(690): Configuring permitted SSL ciphers [-des,-desede3,-rc2,-rc2export
,-rc4,-rc4export,+rsa_3des_sha,-rsa_des_56_sha,+rsa_des_sha,-rsa_null_md5,-rsa_null_sha,-rsa_rc2_40_md5,+rsa_rc4_128_md5,-r
sa_rc4_128_sha,-rsa_rc4_40_md5,-rsa_rc4_56_sha,-fortezza,-fortezza_rc4_128_sha,-fortezza_null,-fips_des_sha,+fips_3des_sha,
-rsa_aes_128_sha,-rsa_aes_256_sha,+ecdhe_ecdsa_aes_256_sha]
[Sun Mar 22 10:36:00 2009] [info] Using nickname Server-Cert cert-pki-tps.
[Sun Mar 22 10:36:00 2009] [info] Configuring server for SSL protocol
[Sun Mar 22 10:36:00 2009] [debug] nss_engine_init.c(514): Enabling SSL3
[Sun Mar 22 10:36:00 2009] [debug] nss_engine_init.c(519): Enabling TLS
[Sun Mar 22 10:36:00 2009] [debug] nss_engine_init.c(690): Configuring permitted SSL ciphers [-des,-desede3,-rc2,-rc2export
,-rc4,-rc4export,+rsa_3des_sha,-rsa_des_56_sha,+rsa_des_sha,-rsa_null_md5,-rsa_null_sha,-rsa_rc2_40_md5,+rsa_rc4_128_md5,-r
sa_rc4_128_sha,-rsa_rc4_40_md5,-rsa_rc4_56_sha,-fortezza,-fortezza_rc4_128_sha,-fortezza_null,-fips_des_sha,+fips_3des_sha,
-rsa_aes_128_sha,-rsa_aes_256_sha,+ecdhe_ecdsa_aes_256_sha]
[Sun Mar 22 10:36:00 2009] [info] Using nickname Server-Cert cert-pki-tps.
[Sun Mar 22 10:36:00 2009] [info] Server: Apache/2.2.3, Interface: mod_nss/2.2.3, Library: NSS/3.12.2.0 Basic ECC
[Sun Mar 22 10:36:00 2009] [debug] ../src/modules/tps/mod_tps.cpp(274): Entering mod_tps_initialize - init count is [1]
[Sun Mar 22 10:36:00 2009] [info] The TPS plugin was successfully loaded!
[Sun Mar 22 10:36:02 2009] [info] Init: Re-initializing NSS library
[Sun Mar 22 10:36:02 2009] [info] Initializing SSL Session Cache of size 10000. SSL2 timeout = 100, SSL3/TLS timeout = 8640
0.
[Sun Mar 22 10:36:02 2009] [info] Init: Initializing (virtual) servers for SSL
[Sun Mar 22 10:36:02 2009] [info] Configuring server for SSL protocol
[Sun Mar 22 10:36:02 2009] [debug] nss_engine_init.c(514): Enabling SSL3
[Sun Mar 22 10:36:02 2009] [debug] nss_engine_init.c(519): Enabling TLS
[Sun Mar 22 10:36:02 2009] [debug] nss_engine_init.c(690): Configuring permitted SSL ciphers [-des,-desede3,-rc2,-rc2export
,-rc4,-rc4export,+rsa_3des_sha,-rsa_des_56_sha,+rsa_des_sha,-rsa_null_md5,-rsa_null_sha,-rsa_rc2_40_md5,+rsa_rc4_128_md5,-r
sa_rc4_128_sha,-rsa_rc4_40_md5,-rsa_rc4_56_sha,-fortezza,-fortezza_rc4_128_sha,-fortezza_null,-fips_des_sha,+fips_3des_sha,
-rsa_aes_128_sha,-rsa_aes_256_sha,+ecdhe_ecdsa_aes_256_sha]
[Sun Mar 22 10:36:02 2009] [info] Using nickname Server-Cert cert-pki-tps.
[Sun Mar 22 10:36:02 2009] [info] Configuring server for SSL protocol
[Sun Mar 22 10:36:02 2009] [debug] nss_engine_init.c(514): Enabling SSL3
[Sun Mar 22 10:36:02 2009] [debug] nss_engine_init.c(519): Enabling TLS
[Sun Mar 22 10:36:02 2009] [debug] nss_engine_init.c(690): Configuring permitted SSL ciphers [-des,-desede3,-rc2,-rc2export
,-rc4,-rc4export,+rsa_3des_sha,-rsa_des_56_sha,+rsa_des_sha,-rsa_null_md5,-rsa_null_sha,-rsa_rc2_40_md5,+rsa_rc4_128_md5,-r
sa_rc4_128_sha,-rsa_rc4_40_md5,-rsa_rc4_56_sha,-fortezza,-fortezza_rc4_128_sha,-fortezza_null,-fips_des_sha,+fips_3des_sha,
-rsa_aes_128_sha,-rsa_aes_256_sha,+ecdhe_ecdsa_aes_256_sha]
[Sun Mar 22 10:36:02 2009] [info] Using nickname Server-Cert cert-pki-tps.
[Sun Mar 22 10:36:02 2009] [info] Server: Apache/2.2.3, Interface: mod_nss/2.2.3, Library: NSS/3.12.2.0 Basic ECC
[Sun Mar 22 10:36:02 2009] [debug] ../src/modules/tps/mod_tps.cpp(274): Entering mod_tps_initialize - init count is [2]
[Sun Mar 22 10:36:02 2009] [info] The TPS plugin was successfully loaded!
[Sun Mar 22 10:36:02 2009] [debug] ../src/modules/tps/mod_tps.cpp(350): mod_tps_initialize - pid is [1830] - post config al
ready done once - additional config will be done in init_child
[Sun Mar 22 10:36:02 2009] [notice] Apache/2.2.3 (Red Hat) mod_nss/2.2.3 NSS/3.12.2.0 Basic ECC mod_perl/2.0.4 Perl/v5.8.8 
configured -- resuming normal operations
[Sun Mar 22 10:36:02 2009] [info] Server built: Nov 12 2008 07:10:47
[Sun Mar 22 10:36:02 2009] [debug] worker.c(1740): AcceptMutex: sysvsem (default: sysvsem)
::::::::::::::
pki-tps.pid
::::::::::::::
1830

*** signedAudit: directory ***

::::::::::::::
tps-audit.log
::::::::::::::
[2009-03-22 10:22:51] 8300c20 [AuditEvent=AUDIT_LOG_STARTUP][SubjectID=System][Outcome=Success] audit function startup
[2009-03-22 10:36:02] 82c6c20 [AuditEvent=AUDIT_LOG_STARTUP][SubjectID=System][Outcome=Success] audit function startup
::::::::::::::
tps-debug.log
::::::::::::::
[2009-03-22 10:22:49] 8300c20 RA:: Initialize - Audit signing is false
[2009-03-22 10:22:49] 8300c20 RA:: Initialize - CS TPS starting...
[2009-03-22 10:22:49] 8300c20 RA::InitializeTokendb - config path = /var/lib/pki-tps/conf/CS.cfg
[2009-03-22 10:22:49] 8300c20 RA::InitializeTokendb - Initializing TUS database
[2009-03-22 10:22:49] 8300c20 RA:: Initialize - Token DB initialization succeeded
[2009-03-22 10:22:49] 8300c20  RA::SetGlobalSecurityLevel - global security level set to 3
[2009-03-22 10:22:49] 8300c20 RA::InitializeInChild - begins: 1
[2009-03-22 10:22:49] 8300c20 RA::InitializeInChild - NSS already initialized
[2009-03-22 10:22:49] 8300c20 RA::InitializeHttpConnections - A ca certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT 
be found in the certificate database for connection 1!
[2009-03-22 10:22:49] 8300c20 RA::InitializeInChild - Failed to initialize CA Connection, rc=-2
[2009-03-22 10:22:49] 8300c20 RA::InitializeHttpConnections - A tks certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:22:49] 8300c20 RA::InitializeInChild - Failed to initialize TKS Connection, rc=-2
[2009-03-22 10:22:49] 8300c20 RA::InitializeHttpConnections - A drm certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:22:49] 8300c20 RA::InitializeInChild - Failed to initialize DRM Connection, rc=-2
[2009-03-22 10:22:49] 8300c20 RA::InitializeInChild - nSignedAuditInitCount=1
[2009-03-22 10:22:49] 8300c20 mod_tps::mod_tps_initialize - The TPS module has been successfully loaded!
[2009-03-22 10:22:49] 8300c20 mod_tokendb::mod_tokendb_initialize - Initializing TUS database
[2009-03-22 10:22:49] 8300c20 mod_tokendb::mod_tokendb_initialize - Token DB initialization succeeded
[2009-03-22 10:22:49] 8300c20 mod_tokendb::mod_tokendb_initialize - The Tokendb module has been successfully loaded!
[2009-03-22 10:22:49] 8300c20 mod_tokendb::mod_tokendb_terminate - The Tokendb module has been terminated!
[2009-03-22 10:22:49] 8300c20 mod_tps::mod_tps_terminate - The TPS module has been terminated!
[2009-03-22 10:22:51] 8300c20 RA:: Initialize - Audit signing is false
[2009-03-22 10:22:51] 8300c20 RA:: Initialize - CS TPS starting...
[2009-03-22 10:22:51] 8300c20 RA::InitializeTokendb - config path = /var/lib/pki-tps/conf/CS.cfg
[2009-03-22 10:22:51] 8300c20 RA::InitializeTokendb - Initializing TUS database
[2009-03-22 10:22:51] 8300c20 RA:: Initialize - Token DB initialization succeeded
[2009-03-22 10:22:51] 8300c20  RA::SetGlobalSecurityLevel - global security level set to 3
[2009-03-22 10:22:51] 8300c20 mod_tps::mod_tps_initialize - The TPS module has been successfully loaded!
[2009-03-22 10:22:51] 8300c20 mod_tokendb::mod_tokendb_initialize - Initializing TUS database
[2009-03-22 10:22:51] 8300c20 mod_tokendb::mod_tokendb_initialize - Token DB initialization succeeded
[2009-03-22 10:22:51] 8300c20 mod_tokendb::mod_tokendb_initialize - The Tokendb module has been successfully loaded!
[2009-03-22 10:22:51] 8300c20 RA::InitializeInChild - begins: 2
[2009-03-22 10:22:51] 8300c20 RA::InitializeInChild - NSS already initialized
[2009-03-22 10:22:51] 8300c20 RA::InitializeHttpConnections - A ca certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT 
be found in the certificate database for connection 1!
[2009-03-22 10:22:51] 8300c20 RA::InitializeInChild - Failed to initialize CA Connection, rc=-2
[2009-03-22 10:22:51] 8300c20 RA::InitializeHttpConnections - A tks certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:22:51] 8300c20 RA::InitializeInChild - Failed to initialize TKS Connection, rc=-2
[2009-03-22 10:22:51] 8300c20 RA::InitializeHttpConnections - A drm certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:22:51] 8300c20 RA::InitializeInChild - Failed to initialize DRM Connection, rc=-2
[2009-03-22 10:22:51] 8300c20 RA::InitializeInChild - nSignedAuditInitCount=2
[2009-03-22 10:22:51] 8300c20 RA:: InitializeSignedAudit - begins
[2009-03-22 10:34:24] 86fd6d0 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:34:24] 86fd6d0 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/login'
[2009-03-22 10:34:24] 86fd6d0 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/login'
[2009-03-22 10:34:24] 86fd6d0 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:34:24] 86fd6d0 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/login'
[2009-03-22 10:34:24] 86fd6d0 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/login'
[2009-03-22 10:34:25] a12b778 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:34:25] a12b778 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:25] a12b778 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:25] a12b778 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:34:25] a12b778 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:25] a12b778 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:30] a12acf8 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:34:30] a12acf8 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:30] a12acf8 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:30] a12acf8 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:34:30] a12acf8 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:30] a12acf8 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:35] a12b648 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:34:35] a12b648 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:35] a12b648 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:35] a12b648 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:34:35] a12b648 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:35] a12b648 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:45] a4939e8 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:34:45] a4939e8 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:45] a4939e8 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:45] a4939e8 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:34:45] a4939e8 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:45] a4939e8 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:55] a12b420 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:34:55] a12b420 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:55] a12b420 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:55] a12b420 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:34:55] a12b420 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:34:55] a12b420 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:00] a12b4d0 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:35:00] a12b4d0 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:00] a12b4d0 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:00] a12b4d0 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:35:00] a12b4d0 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:00] a12b4d0 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:05] a493b28 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:35:05] a493b28 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:05] a493b28 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:05] a493b28 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:35:05] a493b28 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:05] a493b28 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:10] a493d90 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:35:10] a493d90 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:10] a493d90 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:10] a493d90 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:35:10] a493d90 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:10] a493d90 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:16] a493e40 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:35:16] a493e40 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:16] a493e40 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:16] a493e40 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:35:16] a493e40 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:16] a493e40 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:21] a493c68 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:35:21] a493c68 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:21] a493c68 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:21] a493c68 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:35:21] a493c68 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:21] a493c68 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:26] a493ef0 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:35:26] a493ef0 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:26] a493ef0 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:26] a493ef0 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:35:26] a493ef0 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:26] a493ef0 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:31] a12bb28 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:35:31] a12bb28 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:31] a12bb28 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:31] a12bb28 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:35:31] a12bb28 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:31] a12bb28 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:36] a4947b8 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:35:36] a4947b8 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:36] a4947b8 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:36] a4947b8 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:35:36] a4947b8 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:36] a4947b8 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:41] a494978 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:35:41] a494978 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:41] a494978 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:41] a494978 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:35:41] a494978 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:41] a494978 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:48] a494698 mod_tps::mod_tps_handler - mod_tps::mod_tps_handler
[2009-03-22 10:35:48] a494698 mod_tps::mod_tps_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:48] a494698 mod_tps::mod_tps_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:48] a494698 mod_tokendb_handler::mod_tokendb_handler - mod_tokendb_handler::mod_tokendb_handler
[2009-03-22 10:35:48] a494698 mod_tokendb::mod_tokendb_handler - uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:48] a494698 mod_tokendb::mod_tokendb_handler - DECLINED uri '/tps/admin/console/config/wizard'
[2009-03-22 10:35:55] 8300c20 mod_tokendb::mod_tokendb_terminate - The Tokendb module has been terminated!
[2009-03-22 10:35:55] 8300c20 mod_tps::mod_tps_terminate - The TPS module has been terminated!
[2009-03-22 10:36:00] 82c6c20 RA:: Initialize - Audit signing is false
[2009-03-22 10:36:00] 82c6c20 RA:: Initialize - CS TPS starting...
[2009-03-22 10:36:00] 82c6c20 RA::InitializeTokendb - config path = /var/lib/pki-tps/conf/CS.cfg
[2009-03-22 10:36:00] 82c6c20 RA::InitializeTokendb - Initializing TUS database
[2009-03-22 10:36:00] 82c6c20 RA:: Initialize - Token DB initialization succeeded
[2009-03-22 10:36:00] 82c6c20  RA::SetGlobalSecurityLevel - global security level set to 3
[2009-03-22 10:36:00] 82c6c20 RA::InitializeInChild - begins: 1
[2009-03-22 10:36:00] 82c6c20 RA::InitializeInChild - NSS already initialized
[2009-03-22 10:36:00] 82c6c20 RA::InitializeHttpConnections - A ca certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT 
be found in the certificate database for connection 1!
[2009-03-22 10:36:00] 82c6c20 RA::InitializeInChild - Failed to initialize CA Connection, rc=-2
[2009-03-22 10:36:00] 82c6c20 RA::InitializeHttpConnections - A tks certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:36:00] 82c6c20 RA::InitializeInChild - Failed to initialize TKS Connection, rc=-2
[2009-03-22 10:36:00] 82c6c20 RA::InitializeHttpConnections - A drm certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:36:00] 82c6c20 RA::InitializeInChild - Failed to initialize DRM Connection, rc=-2
[2009-03-22 10:36:00] 82c6c20 RA::InitializeInChild - nSignedAuditInitCount=1
[2009-03-22 10:36:00] 82c6c20 mod_tps::mod_tps_initialize - The TPS module has been successfully loaded!
[2009-03-22 10:36:00] 82c6c20 mod_tokendb::mod_tokendb_initialize - Initializing TUS database
[2009-03-22 10:36:00] 82c6c20 mod_tokendb::mod_tokendb_initialize - Token DB initialization succeeded
[2009-03-22 10:36:00] 82c6c20 mod_tokendb::mod_tokendb_initialize - The Tokendb module has been successfully loaded!
[2009-03-22 10:36:00] 82c6c20 mod_tokendb::mod_tokendb_terminate - The Tokendb module has been terminated!
[2009-03-22 10:36:00] 82c6c20 mod_tps::mod_tps_terminate - The TPS module has been terminated!
[2009-03-22 10:36:02] 82c6c20 RA:: Initialize - Audit signing is false
[2009-03-22 10:36:02] 82c6c20 RA:: Initialize - CS TPS starting...
[2009-03-22 10:36:02] 82c6c20 RA::InitializeTokendb - config path = /var/lib/pki-tps/conf/CS.cfg
[2009-03-22 10:36:02] 82c6c20 RA::InitializeTokendb - Initializing TUS database
[2009-03-22 10:36:02] 82c6c20 RA:: Initialize - Token DB initialization succeeded
[2009-03-22 10:36:02] 82c6c20  RA::SetGlobalSecurityLevel - global security level set to 3
[2009-03-22 10:36:02] 82c6c20 mod_tps::mod_tps_initialize - The TPS module has been successfully loaded!
[2009-03-22 10:36:02] 82c6c20 mod_tokendb::mod_tokendb_initialize - Initializing TUS database
[2009-03-22 10:36:02] 82c6c20 mod_tokendb::mod_tokendb_initialize - Token DB initialization succeeded
[2009-03-22 10:36:02] 82c6c20 mod_tokendb::mod_tokendb_initialize - The Tokendb module has been successfully loaded!
[2009-03-22 10:36:02] 82c6c20 RA::InitializeInChild - begins: 2
[2009-03-22 10:36:02] 82c6c20 RA::InitializeInChild - NSS already initialized
[2009-03-22 10:36:02] 82c6c20 RA::InitializeHttpConnections - A ca certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT 
be found in the certificate database for connection 1!
[2009-03-22 10:36:02] 82c6c20 RA::InitializeInChild - Failed to initialize CA Connection, rc=-2
[2009-03-22 10:36:02] 82c6c20 RA::InitializeHttpConnections - A tks certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:36:02] 82c6c20 RA::InitializeInChild - Failed to initialize TKS Connection, rc=-2
[2009-03-22 10:36:02] 82c6c20 RA::InitializeHttpConnections - A drm certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:36:02] 82c6c20 RA::InitializeInChild - Failed to initialize DRM Connection, rc=-2
[2009-03-22 10:36:02] 82c6c20 RA::InitializeInChild - nSignedAuditInitCount=2
[2009-03-22 10:36:02] 82c6c20 RA:: InitializeSignedAudit - begins
::::::::::::::
tps-error.log
::::::::::::::
[2009-03-22 10:22:49] 8300c20 RA::InitializeHttpConnections - A ca certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT 
be found in the certificate database for connection 1!
[2009-03-22 10:22:49] 8300c20 RA::InitializeHttpConnections - A tks certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:22:49] 8300c20 RA::InitializeHttpConnections - A drm certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:22:51] 8300c20 RA::InitializeHttpConnections - A ca certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT 
be found in the certificate database for connection 1!
[2009-03-22 10:22:51] 8300c20 RA::InitializeHttpConnections - A tks certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:22:51] 8300c20 RA::InitializeHttpConnections - A drm certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:36:00] 82c6c20 RA::InitializeHttpConnections - A ca certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT 
be found in the certificate database for connection 1!
[2009-03-22 10:36:00] 82c6c20 RA::InitializeHttpConnections - A tks certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:36:00] 82c6c20 RA::InitializeHttpConnections - A drm certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:36:02] 82c6c20 RA::InitializeHttpConnections - A ca certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT 
be found in the certificate database for connection 1!
[2009-03-22 10:36:02] 82c6c20 RA::InitializeHttpConnections - A tks certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
[2009-03-22 10:36:02] 82c6c20 RA::InitializeHttpConnections - A drm certificate nicknamed "[HSM_LABEL][NICKNAME]" could NOT
 be found in the certificate database for connection 1!
Comment 2 Chandrasekar Kannan 2009-03-22 10:41:30 EDT
manual install works fine.
Comment 3 Ade Lee 2009-04-03 15:13:04 EDT
Created attachment 338108 [details]
patch to fix

added audit signing to fix.

awnuk, please review
Comment 4 Ade Lee 2009-04-03 15:14:43 EDT
Chandra, 

Here is my invocation:

/usr/bin/pkisilent ConfigureTPS -cs_hostname dhcp231-124.rdu.redhat.com -cs_port 7878 -sd_hostname dhcp231-124.rdu.redhat.com -sd_ssl_port 9774 -sd_admin_name admin -sd_admin_password redhat123 -ca_hostname dhcp231-124.rdu.redhat.com -ca_port 9774 -ca_ssl_port 9774 -drm_hostname dhcp231-124.rdu.redhat.com -drm_ssl_port 10874 -ss_keygen true -tks_hostname dhcp231-124.rdu.redhat.com -tks_ssl_port 13704 -client_certdb_dir /tmp/pki-tps7 -client_certdb_pwd redhat123 -preop_pin iniOK2nPGmRy2DpOR7eM  -domain_name cfutest33 -admin_user admin -admin_password redhat123 -admin_email alee@redhat.com -agent_name pki-agent-tps-07 -ldap_host dhcp231-124.rdu.redhat.com -ldap_port 9397 -bind_dn \"cn=directory manager\" -bind_password redhat123 -base_dn o=tps07c -db_name tps07c -key_size 2048 -key_type rsa -token_name internal -token_pwd redhat123 -agent_key_size 2048 -agent_key_type rsa -agent_cert_subject CN=pki-agent-tps-07,O=redhat -subsystem_name pki-tps7 -ldap_auth_host dhcp231-124.rdu.redhat.com -ldap_auth_port 7391 -ldap_auth_base_dn dc=rdu,dc=redhat,dc=com -tps_subsystem_cert_subject_name CN=tps-subsystem-dhcp231-124.rdu.redhat.com,O=redhat -tps_server_cert_subject_name CN=dhcp231-124.rdu.redhat.com,O=redhat -tps_audit_signing_cert_subject_name  CN=tps-audit-signing-dhcp231-124.rdu.redhat.com,O=redhat
Comment 5 Andrew Wnuk 2009-04-03 15:20:44 EDT
attachment (id=338108) +awnuk
Comment 6 Ade Lee 2009-04-03 15:24:19 EDT
[builder@dhcp231-124 pki]$ svn ci -m "Bugzilla Bug #491517 and #492648 - subca and TPS fail to configure - audit signing"
Sending        base/silent/src/subca/ConfigureSubCA.java
Sending        base/silent/src/tps/ConfigureTPS.java
Sending        dogtag/silent/pki-silent.spec
Transmitting file data ...
Committed revision 367.
Comment 7 Matthew Harmsen 2009-05-19 17:31:14 EDT
Port Separation enhancements have been applied for all of the various subsystems per Bugzilla Bug #500748; however, RA and TPS must still be fixed to work with pkisilent.
Comment 8 Chandrasekar Kannan 2009-05-19 17:41:05 EDT
Created attachment 344717 [details]
POST requests captured from the browser during a manual install

Use this to compare with what pki-silent ConfigureTPS is doing ..
Comment 9 Matthew Harmsen 2009-05-19 20:48:22 EDT
Created attachment 344730 [details]
 POST requests captured from the browser during a manual install  (RA)
Comment 10 Matthew Harmsen 2009-05-25 15:09:59 EDT
Created attachment 345347 [details]
Fixes for RA and TPS pkisilent
Comment 11 Matthew Harmsen 2009-05-25 15:10:36 EDT
Created attachment 345348 [details]
Fixes for RA and TPS pkisilent (dogtag)
Comment 14 Jack Magne 2009-05-26 17:30:52 EDT
Attachments (id=345347) (id=345348) +jmagne
Comment 15 Matthew Harmsen 2009-05-26 17:38:30 EDT
cd pki/base

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      silent/src/tks/ConfigureTKS.java
M      silent/src/drm/ConfigureDRM.java
M      silent/src/ra/ConfigureRA.java
M      silent/src/ca/ConfigureCA.java
M      silent/src/ocsp/ConfigureOCSP.java
M      silent/src/tps/ConfigureTPS.java
M      silent/src/common/CMSLDAP.java
M      silent/src/common/createinstance.java
M      silent/src/subca/ConfigureSubCA.java

% svn commit
Sending        base/silent/src/ca/ConfigureCA.java
Sending        base/silent/src/common/CMSLDAP.java
Sending        base/silent/src/common/createinstance.java
Sending        base/silent/src/drm/ConfigureDRM.java
Sending        base/silent/src/ocsp/ConfigureOCSP.java
Sending        base/silent/src/ra/ConfigureRA.java
Sending        base/silent/src/subca/ConfigureSubCA.java
Sending        base/silent/src/tks/ConfigureTKS.java
Sending        base/silent/src/tps/ConfigureTPS.java
Transmitting file data .........
Committed revision 498.


cd pki/dogtag

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      scripts/pki_silent.template
M      silent/pki-silent.spec

% svn commit
Sending        dogtag/scripts/pki_silent.template
Sending        dogtag/silent/pki-silent.spec
Transmitting file data ..
Committed revision 499.
Comment 17 Kashyap Chamarthy 2009-07-02 12:58:01 EDT
Verified.pkisilent works fine with RA and TPS. Installed/Configured fine.
Comment 18 Kashyap Chamarthy 2009-07-04 10:48:29 EDT
Re-opening since enrollment/format does not work as the below values are not substitueted in /var/lib/pki-tps/conf/CS.cfg

=============================
auth.instance.0.authId=ldap1
auth.instance.0.baseDN=[LDAP_ROOT]
auth.instance.0.hostport=[LDAP_HOST]:[LDAP_PORT]
auth.instance.0.libraryFactory=GetAuthentication
auth.instance.0.libraryName=/usr/lib/libldapauth.so
auth.instance.0.retries=1
auth.instance.0.retryConnect=3
auth.instance.0.ssl=false

================================
Comment 20 Kashyap Chamarthy 2009-07-06 15:58:38 EDT
Created attachment 350669 [details]
tps debug log
Comment 21 Kashyap Chamarthy 2009-07-06 15:59:53 EDT
Created attachment 350670 [details]
pkisilent tps.log
Comment 22 Ade Lee 2009-07-06 23:09:35 EDT
kashyap, 

According to your logs, the following occurs on the AuthDBPanel:

Mon Jul  6 13:30:25 IST 2009 - AuthDBPanel: update
Mon Jul  6 13:30:25 IST 2009 - AuthDBPanel: host=localhost
Mon Jul  6 13:30:25 IST 2009 - AuthDBPanel: port=389
Mon Jul  6 13:30:25 IST 2009 - AuthDBPanel: basedn=dc=redhat,dc=com
Mon Jul  6 13:30:25 IST 2009 - AuthDBPanel: invoking /usr/lib/mozldap/ldapsearch
Mon Jul  6 13:30:27 IST 2009 - AuthDBPanel: failed to connect ldap_search: No such object

The search that is done is as follows:
 /usr/lib/ldapsearch -h localhost -p 389 -b 'dc=redhat,dc=com' -s base 'objectlass=*'

This is to confirm that the database exists - it must exist prior to the installation.  This is returning "No such object".

Does the database exist? And does that basedn exist?
Comment 23 Kashyap Chamarthy 2009-07-07 01:16:51 EDT
Ade, on the same machine..this is the DN that exist

[root@rhel5t tmp]# /usr/lib/mozldap/ldapsearch -h localhost -p 389 -b 'dc=pnq,dc=redhat,dc=com' -s base 'objectclass=*'
version: 1
dn: dc=pnq,dc=redhat,dc=com
objectClass: top
objectClass: domain
dc: pnq
Comment 24 Kashyap Chamarthy 2009-07-07 15:32:58 EDT
Verified. pkisilent picks the baseDN from

tps_ldap_auth_base_dn="dc=${pki_email_company},dc=${pki_email_domain}"

so modifying the above line in the pki_silent.template did the trick

tps_ldap_auth_base_dn="dc=pnq,dc=${pki_email_company},dc=${pki_email_domain}"


=========================
<snip of TPS CS.cfg>
......
auth.instance.0.authId=ldap1
auth.instance.0.baseDN=dc=pnq,dc=redhat,dc=com
auth.instance.0.hostport=localhost:389
auth.instance.0.libraryFactory=GetAuthentication
auth.instance.0.libraryName=/usr/lib/libldapauth.so
auth.instance.0.retries=1
auth.instance.0.retryConnect=3
auth.instance.0.ssl=false
==========================

Note You need to log in before you can comment on or make changes to this bug.